# Glom::LayoutItem_Text Class Reference

Inherits Glom::LayoutItem_WithFormatting.

Collaboration diagram for Glom::LayoutItem_Text:
[legend]

List of all members.

## Public Member Functions

| LayoutItem_Text ()
| LayoutItem_Text (const LayoutItem_Text& src)
LayoutItem_Text& | operator= (const LayoutItem_Text& src)
virtual | ~LayoutItem_Text ()
virtual LayoutItem* | clone () const
| Create a new copied instance.
bool | operator== (const LayoutItem_Text& src) const
virtual Glib::ustring | get_part_type_name () const
virtual Glib::ustring | get_report_part_id () const
| Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML).
Glib::ustring | get_text () const
| Get the text that will be shown on each record.
void | set_text (const Glib::ustring& text)
| Set the text that will be shown on each record.

## Public Attributes

sharedptr< TranslatableItem > | m_text

## Constructor & Destructor Documentation

Glom::LayoutItem_Text::LayoutItem_Text | ( |  | ) |

Glom::LayoutItem_Text::LayoutItem_Text | ( | const LayoutItem_Text& | src | ) |

virtual Glom::LayoutItem_Text::~LayoutItem_Text | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual LayoutItem* Glom::LayoutItem_Text::clone | ( |  | ) | const`[virtual]`

Create a new copied instance.

This allows us to deep-copy a list of LayoutItems.

Implements Glom::LayoutItem.

virtual Glib::ustring Glom::LayoutItem_Text::get_part_type_name | ( |  | ) | const`[virtual]`

Implements Glom::LayoutItem.

virtual Glib::ustring Glom::LayoutItem_Text::get_report_part_id | ( |  | ) | const`[virtual]`

Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML).

Reimplemented from Glom::LayoutItem.

Glib::ustring Glom::LayoutItem_Text::get_text | ( |  | ) | const

Get the text that will be shown on each record.

LayoutItem_Text& Glom::LayoutItem_Text::operator= | ( | const LayoutItem_Text& | src | ) |

bool Glom::LayoutItem_Text::operator== | ( | const LayoutItem_Text& | src | ) | const

void Glom::LayoutItem_Text::set_text | ( | const Glib::ustring & | text | ) |

Set the text that will be shown on each record.

## Member Data Documentation

sharedptr<TranslatableItem> Glom::LayoutItem_Text::m_text

The documentation for this class was generated from the following file:

- libglom/data_structure/layout/layoutitem_text.h